@import url("https://fonts.googleapis.com/css2?family=Titillium+Web:wght@300;400;700&display=swap");

:root {
    --mainColor: #fff;
    --mainColorLight: #5767aa;
    --secondaryColor: #db2b39;
    --textColor: #000000;
  }
  
  .main-header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 60px;
    background-color: var(--mainColor);
    z-index: 10;
  }
  
  header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 60px;
    background-color: var(--mainColor);
    color: var(--textColor);
    z-index: 1;
  }
  
  header .nav-logo {
    cursor: pointer;
    text-transform: uppercase;
  }
  
  nav a {
    margin: 0 1rem;
    color: var(--textColor);
    text-decoration: none;
    font-family: Arial, Helvetica, sans-serif;
    text-transform: uppercase;
  }
  
  nav a:hover {
    color: var(--secondaryColor);
  }
  
  header .nav-btn {
    padding: 5px;
    cursor: pointer;
    background: transparent;
    border: none;
    outline: none;
    color: var(--textColor);
    visibility: hidden;
    opacity: 0;
    /* font-size: 1.8rem; */
}
  
  .nav-user .nav-cart-btn,
  .nav-user-btn {
    background-color: transparent;
    border: none;
    padding: 0 12px;
  }
  
  .nav-user .form-search {
    display: flex;
    margin-right: 16px;
    align-items: center;
    border: 2px solid #ccc;
    background-color: transparent;
    border-radius: 5px;
  }
  
  .nav-user .nav-search-icon {
    border: none;
    background-color: transparent;
    padding: 0 5px;
  }
  
  .nav-user .nav-search-text {
    border: none;
    outline: none;
    background-color: transparent;
  }
  
  header div,
  nav {
    display: flex;
    align-items: center;
  }
  
  @media only screen and (max-width: 1024px) {
    header .nav-btn {
      visibility: visible;
      opacity: 1;
    }
  
    header {
      display: flex;
      background-color: #636e72;
      width: 100%;
    }
  
    header .nav-user {
      display: flex;
    }
  
    header .nav-user .form-search {
      transform: translate(0, 48px);
    }
  
    header .nav-user .open-menu-icon {
      float: left;
    }
  
    header nav {
      position: fixed;
      top: 0;
      left: 0;
      height: 100%;
      width: 80%;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      gap: 1.5rem;
      background-color: #636e72;
      transition: 1s;
      transform: translateY(-100vh);
      z-index: 2;
    }
  
    header .responsive_nav {
      transform: none;
    }
  
    header .nav-logo {
      display: flex;
      align-items: center;
      justify-content: center;
    }
  
    nav .nav-close-btn {
      position: absolute;
      top: 2rem;
      right: 2rem;
    }
  
    nav a {
      font-size: 1.5rem;
    }
  }
/* End Header*/